<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Binary (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Binary (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/ApplicationSpec.html" title="interface in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/BinaryContainer.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/Binary.html" target="_top">Frames</a></li>
<li><a href="Binary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.platform.base</div>
<h2 title="Interface Binary" class="title">Interface Binary</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/platform/base/ApplicationBinarySpec.html" title="interface in org.gradle.platform.base">ApplicationBinarySpec</a>, <a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>, <a href="../../../../org/gradle/jvm/ClassDirectoryBinarySpec.html" title="interface in org.gradle.jvm">ClassDirectoryBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/test/cunit/CUnitTestSuiteBinarySpec.html" title="interface in org.gradle.nativeplatform.test.cunit">CUnitTestSuiteBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/test/googletest/GoogleTestTestSuiteBinarySpec.html" title="interface in org.gradle.nativeplatform.test.googletest">GoogleTestTestSuiteBinarySpec</a>, <a href="../../../../org/gradle/jvm/JarBinarySpec.html" title="interface in org.gradle.jvm">JarBinarySpec</a>, <a href="../../../../org/gradle/jvm/test/JUnitTestSuiteBinarySpec.html" title="interface in org.gradle.jvm.test">JUnitTestSuiteBinarySpec</a>, <a href="../../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a>, <a href="../../../../org/gradle/jvm/test/JvmTestSuiteBinarySpec.html" title="interface in org.gradle.jvm.test">JvmTestSuiteBinarySpec</a>, <a href="../../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/NativeBinary.html" title="interface in org.gradle.nativeplatform">NativeBinary</a>, <a href="../../../../org/gradle/nativeplatform/NativeBinarySpec.html" title="interface in org.gradle.nativeplatform">NativeBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/NativeExecutableBinary.html" title="interface in org.gradle.nativeplatform">NativeExecutableBinary</a>, <a href="../../../../org/gradle/nativeplatform/NativeExecutableBinarySpec.html" title="interface in org.gradle.nativeplatform">NativeExecutableBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/NativeLibraryBinary.html" title="interface in org.gradle.nativeplatform">NativeLibraryBinary</a>, <a href="../../../../org/gradle/nativeplatform/NativeLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform">NativeLibraryBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/test/NativeTestSuiteBinarySpec.html" title="interface in org.gradle.nativeplatform.test">NativeTestSuiteBinarySpec</a>, <a href="../../../../org/gradle/play/PlayApplicationBinarySpec.html" title="interface in org.gradle.play">PlayApplicationBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/PrebuiltSharedLibraryBinary.html" title="interface in org.gradle.nativeplatform">PrebuiltSharedLibraryBinary</a>, <a href="../../../../org/gradle/nativeplatform/PrebuiltStaticLibraryBinary.html" title="interface in org.gradle.nativeplatform">PrebuiltStaticLibraryBinary</a>, <a href="../../../../org/gradle/nativeplatform/SharedLibraryBinary.html" title="interface in org.gradle.nativeplatform">SharedLibraryBinary</a>, <a href="../../../../org/gradle/nativeplatform/SharedLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform">SharedLibraryBinarySpec</a>, <a href="../../../../org/gradle/nativeplatform/StaticLibraryBinary.html" title="interface in org.gradle.nativeplatform">StaticLibraryBinary</a>, <a href="../../../../org/gradle/nativeplatform/StaticLibraryBinarySpec.html" title="interface in org.gradle.nativeplatform">StaticLibraryBinarySpec</a>, <a href="../../../../org/gradle/testing/base/TestSuiteBinarySpec.html" title="interface in org.gradle.testing.base">TestSuiteBinarySpec</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/gradle/platform/base/binary/BaseBinarySpec.html" title="class in org.gradle.platform.base.binary">BaseBinarySpec</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">Binary</span></pre>
<div class="block">A physical binary artifact, which can run on a particular platform or runtime.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/Binary.html#getDisplayName()">getDisplayName</a></strong>()</code>
<div class="block">Returns a human-consumable display name for this binary.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDisplayName()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDisplayName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDisplayName()</pre>
<div class="block">Returns a human-consumable display name for this binary.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/ApplicationSpec.html" title="interface in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/BinaryContainer.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/Binary.html" target="_top">Frames</a></li>
<li><a href="Binary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
